<ng-container *ngIf="token">
  <div class="token-row">
    <div class="cell name">{{ token.name }}</div>
    <ng-container *ngIf="!token.revokedAt">
      <div class="cell expire">(expires at {{ token.expiresAt | date }})</div>
    </ng-container>
    <ng-container *ngIf="token.revokedAt">
      <div class="cell revoke">(revoked at {{ token.revokedAt | date }})</div>
    </ng-container>
    <div class="cell buttons">
      <ng-container *ngIf="!token.revokedAt">
        <button mat-raised-button (click)="onIssueClick()">Issue</button>
        <button mat-raised-button (click)="onRevokeClick()">Revoke</button>
      </ng-container>
    </div>
  </div>
</ng-container>
